Soxway Docs
ISP Static

Get ISP catalog

Purposes with available countries, price per IP (USD/month) and the package sizes you can order. Purchases are package-based only.

GET
/reseller/isp/catalog

Authorization

bearerAuth
AuthorizationBearer <token>

Access token obtained via POST /reseller/access-token using your Reseller Key

In: header

Response Body

application/json

curl -X GET "https://api.soxway.io/reseller/isp/catalog"
{
  "data": {
    "price_per_ip_usd": 1.5,
    "duration": "1 month",
    "max_count": 10000,
    "purposes": [
      {
        "id": 99,
        "name": "Facebook",
        "popular": true,
        "countries": [
          {
            "name": "United Kingdom",
            "code": "GB",
            "available": true
          }
        ]
      }
    ],
    "packages": [
      {
        "ip_count": 20,
        "total_usd": 30
      }
    ]
  }
}